compact1, compact2, compact3
java.util.function

## Interface DoubleSupplier

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DoubleSupplier

  Represents a supplier of `double`-valued results. This is the `double`-producing primitive specialization of `Supplier`.

  There is no requirement that a distinct result be returned each time the supplier is invoked.

  This is a functional interface whose functional method is `getAsDouble()`.

  Since:
    1.8
  See Also:
    `Supplier`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAsDouble()` Gets a result.

- - ### Method Detail

    - #### getAsDouble

          double getAsDouble()

      Gets a result.
      Returns:
        a result

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.